Plugin and Beans with Java 6 update 19

Questions and answers on developing, deploying and using plugins and JavaBeans

Re: Plugin and Beans with Java 6 update 19

Postby jcompagner » Tue Apr 13, 2010 4:12 pm

the other solution is if you are upgrading to u19 (if that is automatic or something)
then with a older servoy release it will still work. Only 2 things need to be done:

delete the swingbeans.jar from the beans dir (and also the it2be calendar bean and so on) on the server
And for clients with u19 you have to go to the java control panel and under the advanced tab -> security -> mixed mode
select the 2nd (hide warning but run with protections) or last checkbox (disable verify completely)

Then it will work on an u19 release also.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8201
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Plugin and Beans with Java 6 update 19

Postby Foobrother » Tue Apr 13, 2010 4:37 pm

Thanks, I'll test it :D
Current configuration: Servoy 5.2.6 Build 1011, Java 6u24, PostgreSQL 8.3, Windows Server 2003

Servoy / Java Developer
http://www.assetguardian.com
User avatar
Foobrother
 
Posts: 530
Joined: Tue Jan 13, 2009 5:46 pm

Re: Plugin and Beans with Java 6 update 19

Postby Harjo » Tue Apr 13, 2010 8:30 pm

for a customer of us, who hosting his solution on our server, we have upgraded the servoy application_server from 5.1.1 to 5.1.2 by using the servoy_updater.bat
no third party plugins, or what so ever.

but now, if we start the solution, (rather on Mac, with a lower version of Java 1.6 or on Windows) we get this error:

com.sun.deploy.net.JARSigningException: Niet-ondertekend onderdeel gevonden in resource: (http://87.249.xxx.xxx:8089/lib/commons-httpclient.jar, 3.0)
at com.sun.javaws.security.SigningInfo.getCommonCodeSignersForJar(SigningInfo.java:382)
at com.sun.javaws.security.SigningInfo.check(SigningInfo.java:256)
at com.sun.javaws.LaunchDownload.checkSignedResourcesHelper(LaunchDownload.java:1384)
at com.sun.javaws.LaunchDownload.checkSignedResources(LaunchDownload.java:1170)
at com.sun.javaws.Launcher.prepareLaunchFile(Launcher.java:1033)
at com.sun.javaws.Launcher.prepareToLaunch(Launcher.java:309)
at com.sun.javaws.Launcher.prepareToLaunch(Launcher.java:186)
at com.sun.javaws.Launcher.launch(Launcher.java:107)
at com.sun.javaws.Main.launchApp(Main.java:405)
at com.sun.javaws.Main.continueInSecureThread(Main.java:252)
at com.sun.javaws.Main$1.run(Main.java:111)
at java.lang.Thread.run(Thread.java:637)

I thought this should be fixed by now, right?
Harjo Kompagnie
Direct ICT / Servoy Hosting / ServoyCamp
Servoy Certified Developer
Servoy Valued Professional
SAN Developer
User avatar
Harjo
 
Posts: 4296
Joined: Fri Apr 25, 2003 11:42 pm
Location: DEN HAM OV, The Netherlands

Re: Plugin and Beans with Java 6 update 19

Postby jcompagner » Tue Apr 13, 2010 8:40 pm

go to your plugin directory open the http.jar.jnlp

there you have this:
Code: Select all
      <jar href="/lib/commons-httpclient.jar" download="%%loadmethod%%" part="httpclient" version="3.0"/>
      <jar href="/lib/commons-codec.jar" download="%%loadmethod%%" part="codec" version="1.3"/>


change that to:

Code: Select all
      <jar href="/lib/commons-httpclient.jar" download="%%loadmethod%%" part="httpclient" version="%%version%%"/>
      <jar href="/lib/commons-codec.jar" download="%%loadmethod%%" part="codec" version="%%version%%"/>


or change the value of 3.0 to 3.0a and 1.3 to 1.3a
just make sure that the version tags are different then before.

i will change it in our code also.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8201
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Plugin and Beans with Java 6 update 19

Postby Harjo » Tue Apr 13, 2010 9:19 pm

oke, I have changed that,

now getting this one:

com.sun.deploy.net.JARSigningException: Niet-ondertekend onderdeel gevonden in resource: (http://87.249.xxx.xxx:8089/plugins/jaka ... ta-poi.jar, 3.0-rc4-20070503)

:-( :evil:
Harjo Kompagnie
Direct ICT / Servoy Hosting / ServoyCamp
Servoy Certified Developer
Servoy Valued Professional
SAN Developer
User avatar
Harjo
 
Posts: 4296
Joined: Fri Apr 25, 2003 11:42 pm
Location: DEN HAM OV, The Netherlands

Re: Plugin and Beans with Java 6 update 19

Postby jcompagner » Tue Apr 13, 2010 9:34 pm

exactly the same kind of problem but then with another plugin.
Problem is that to get it right you have to go over all plugin.jar.jnlp files and up the version=xxx if it has a number or fixed value in there.
Johan Compagner
Servoy
User avatar
jcompagner
 
Posts: 8201
Joined: Tue May 27, 2003 7:26 pm
Location: The Internet

Re: Plugin and Beans with Java 6 update 19

Postby Harjo » Tue Apr 13, 2010 9:43 pm

but is this not the whole reason, why there is Servoy 5.1.2 ???

did anyone test this within Servoy?
sorry, I'm bit frustrated......

remember, this was a fresh 5.1.1 installation with no 3th party plugins/beans and upgraded to 5.1.2
Harjo Kompagnie
Direct ICT / Servoy Hosting / ServoyCamp
Servoy Certified Developer
Servoy Valued Professional
SAN Developer
User avatar
Harjo
 
Posts: 4296
Joined: Fri Apr 25, 2003 11:42 pm
Location: DEN HAM OV, The Netherlands

Re: Plugin and Beans with Java 6 update 19

Postby Jan Blok » Tue Apr 13, 2010 10:05 pm

The jar change is most of the time noticed by Java webstart AND tests takes place in a clean env. to prevent contamination (which means there is no problem to begin with)
In other words clearing the webstart cache also works.
Jan Blok
Servoy
Jan Blok
 
Posts: 2684
Joined: Mon Jun 23, 2003 11:15 am
Location: Amsterdam

Re: Plugin and Beans with Java 6 update 19

Postby IT2Be » Tue Apr 13, 2010 10:41 pm

When you follow this thread and use IT2BE Components please read our announcement here: http://www.it2be.com/index.php/componen ... rvoy-4-a-5
Marcel J.G. Trapman (IT2BE)
SAN partner - Freelance Java and Servoy
Servoy Components - IT2BE Plug-ins and Beans for Servoy
ServoyForge - Open Source Components for Servoy
User avatar
IT2Be
Servoy Expert
 
Posts: 4766
Joined: Tue Oct 14, 2003 7:09 pm
Location: Germany

Re: Plugin and Beans with Java 6 update 19

Postby Foobrother » Wed Apr 14, 2010 11:32 am

jcompagner wrote:the other solution is if you are upgrading to u19 (if that is automatic or something)
then with a older servoy release it will still work. Only 2 things need to be done:

delete the swingbeans.jar from the beans dir (and also the it2be calendar bean and so on) on the server
And for clients with u19 you have to go to the java control panel and under the advanced tab -> security -> mixed mode
select the 2nd (hide warning but run with protections) or last checkbox (disable verify completely)

Then it will work on an u19 release also.

It works indeed. Thanks again :D
Current configuration: Servoy 5.2.6 Build 1011, Java 6u24, PostgreSQL 8.3, Windows Server 2003

Servoy / Java Developer
http://www.assetguardian.com
User avatar
Foobrother
 
Posts: 530
Joined: Tue Jan 13, 2009 5:46 pm

Re: Plugin and Beans with Java 6 update 19

Postby patrick » Wed Apr 14, 2010 12:05 pm

For those of you using plugins from us (servoy-plugins.de), we have now signed all of our components with a self-signed certificate. You can download an updated installer from our website.

We have bought a real certificate, but that has not yet been issued. In a few days we hope to provide another update with the real certificate that will not present a dialog to the user (for our components at least).
Patrick Ruhsert
Servoy DACH
patrick
 
Posts: 3668
Joined: Wed Jun 11, 2003 10:33 am
Location: Munich, Germany

Re: Plugin and Beans with Java 6 update 19

Postby pbakker » Wed Apr 14, 2010 5:10 pm

See http://wiki.servoy.com/x/SpV7 for a comprehensive overview of Servoy i.c.w. Java 6 update 19

Paul
pbakker
 
Posts: 2822
Joined: Wed Oct 01, 2003 8:12 pm
Location: Amsterdam, the Netherlands

Re: Plugin and Beans with Java 6 update 19

Postby ptalbot » Wed Apr 14, 2010 5:22 pm

Great job Paul, thanks!
Patrick Talbot
Freelance - Open Source - Servoy Valued Professional
http://www.servoy-stuff.net
https://www.servoyforge.net
--------------------------------------------
Servoy 5.2.16 / 6.0.9 / 6.1.6 / 7.3.1
All OSes / Java 5 & 6 & 7
User avatar
ptalbot
 
Posts: 1613
Joined: Wed Mar 11, 2009 5:13 am
Location: Montreal, QC

Re: Plugin and Beans with Java 6 update 19

Postby martinh » Mon Apr 19, 2010 3:23 pm

Since servoy update from 4.1.5 to 4.1.6 I get similar messages:

JAR resources in JNLP file are not signed by same certificate

But JAVA is still on a old version (very old even 1.5.04).
Server running with JAVA 1.6 update 17
Is it possible that this update to 4.1.6 could have impact on running Servoy with older versions of Java?

The message seems to occur on an IT2BE-bean/plugins, but didn't occur with Servoy 4.1.5
There were no updates of the I2TBE beans/plugins.


Is it logic that since 4.1.6 such errormessages can occur?
There is no JAVA update 19/20 involved here
Martin
------------------------------------------------
Servoy Developer
Version 5.2.10/5.2.13
Java version 1.6 update 31
Database SQL Server 2008 R2
martinh
 
Posts: 857
Joined: Wed May 09, 2007 5:34 pm
Location: Belgium

Re: Plugin and Beans with Java 6 update 19

Postby pbakker » Mon Apr 19, 2010 3:32 pm

Martin,

Please read the instructions on the Wiki: http://wiki.servoy.com/x/SpV7

Paul
pbakker
 
Posts: 2822
Joined: Wed Oct 01, 2003 8:12 pm
Location: Amsterdam, the Netherlands

PreviousNext

Return to Plugins and Beans

Who is online

Users browsing this forum: No registered users and 2 guests